First time here? Check out the FAQ!
x

Driver compatibility issue.

0 votes
asked by about Retrospect Express HD
edited by

I got a message when I tried to run my backup program that said "Retrospect Backup Express installs drivers incompatible with this version of Windows".

1 Answer

0 votes
answered by (194k points)

The message refers to the fact that the software tries to install drivers that are not compatible with your version of Windows. The solution would be downloading a newer version of the software that has drivers compatible with the Windows installed on your computer rather than re-installing Windows.

By default, the latest version requires the following Windows versions to run properly:

  • Microsoft Windows 8/7/Vista/XP
  • Microsoft Windows Server 2012 R2/2012/2008/2003
  • Microsoft Windows Server 2012 Essentials
  • Microsoft Windows SBS 2011/2008/2003
  • Microsoft Windows Storage Server 2008/2003

If you have an outdated version of the software, access the official website to download it: http://www.retrospect.com/en/products/win

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...